REM Script to find and replace CQWEContestSettings.xml with 2024 settings
@echo off
setlocal enabledelayedexpansion
set /A count=0
cls
echo.
echo Script to find and replace CQWEContestSettings.xml with 2024 version
echo.
echo.
echo.
echo ***********************************************************************
echo *   If your CQWE logging program is open - Please close it quickly.   *
echo ***********************************************************************
timeout /t 30 /nobreak
echo.
echo.
echo ***************************************************************** 
echo *        Searching C:\ for old CQWEContestSettings.xml          *
echo *                                                               *
echo *     With a large disk drive this can take a long time.        *
echo *                                                               *
echo *                 Please be patient.                            *
echo *****************************************************************
echo.
echo.
echo.
FOR /F "delims=" %%i IN ('dir /b /s c:\CQWEContestSettings.xml') DO (
set oldpath=^"%%i^"
set /A count+=1
echo !oldpath!
copy /Y "2024_CQWEContestSettings.xml" !oldpath! > NUL
)
echo.
if %count% equ 0 (
echo.
echo.
echo ***************************************************************** 
echo *                                                               *
echo *    FAILURE No CQWE Logger configuration files were found      *
echo *                                                               *
echo *  1:  N4HAI logger must be installed before running this       *
echo *                                                               *
echo *  2:  This script only works if installed on C:/ Disk Drive    *
echo *                                                               *
echo *  3:  Your logger may have been open while running this        *
echo *                                                               *
echo * For help email logger support. Email address on CQWE website  *
echo *                                                               *
echo *****************************************************************
echo.
echo Press a key to continue.
) else (
echo The above %count% setting^(s^) file were found and replaced with the 2024 version
echo.
echo CQWE Logger is ready for 2024.  Press a key to exit. 
)
timeout 600 > NUL



